Subject: [alpine-aports] [PATCH] testing/ncmpcpp: new aport

From: Matthieu MONNIER <[email-masked]>
Date: Fri, 2 Sep 2016 15:56:35 +0200

---
 testing/ncmpcpp/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/ncmpcpp/APKBUILD

diff --git a/testing/ncmpcpp/APKBUILD b/testing/ncmpcpp/APKBUILD
new file mode 100644
index 0000000..3437a62
--- /dev/null
+++ b/testing/ncmpcpp/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer: Matthieu Monnier <[email-masked]>
+pkgname=ncmpcpp
+pkgver=0.6.8
+pkgrel=1
+pkgdesc="An almost exact clone of ncmpc with some new features."
+url="http://ncmpcpp.rybczak.net/"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends="boost-dev readline-dev curl-dev libmpdclient-dev
+	taglib-dev ncurses-dev openssl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://rybczak.net/ncmpcpp/stable/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build () {
+	cd "$srcdir/$pkgname-$pkgver"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		--enable-unicode \
+		--enable-clock \
+		--with-taglib \
+		--with-curl \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="90b5b22a6365c17bc7d75c05d2117413  ncmpcpp-0.6.8.tar.bz2"
+sha256sums="ee81f3fdb2a4b670b5e2617f6489f154e69a552e68fc550b1e20ad85f526e692  ncmpcpp-0.6.8.tar.bz2"
+sha512sums="e474bd4122212c34d7043adf7b68aeaaa2e9b5a999840b7e8632d251bdab17f5314fca03bdf2b8eee5de2572d3e5c602d87a1f89889ab7c747321e4272f63ebc  ncmpcpp-0.6.8.tar.bz2"
-- 
2.9.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---